[Prev: MIMEALTPREFS] | [Resources][TOC] | [Next: MIMEDECODERS]

# MIMEARGS

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  N/A

Element

  `<MIMEARGS>
  ` content-type`:`argument-string
  ...
  `</MIMEARGS>
  `

Command-line Option

  N/A

## Description

The MIMEARGS resource may be used to pass optional arguments to MIME filters to control their behavior. Arguments may be defined on a per content-type basis, or for a specific filter itself. The MIMEARGS resource can only be set via the `MIMEARGS` element. The syntax for each line of the the `MIMEARGS` element is as follows:

content-type`;`argument-string

Or,

filter-name`;`argument-string

The format of argument strings is dependent on the filter that processes content-type or by the specified filter, filter-name.

If an argument string is defined for a filter explicitly and for a content-type that the filter processes, the content-type string will override the filter string.

## Default Setting

    <MIMEArgs>
    m2h_external::filter; inline
    </MIMEArgs>

## Resource Variables

N/A

## Examples

The following tells the text/plain filter to italicize quoted text in a followup.

    <MIMEArgs>
    m2h_text_plain::filter; quote
    </MIMEArgs>

## Version

1.2

## See Also

MIMEFILTERS

[Prev: MIMEALTPREFS] | [Resources][TOC] | [Next: MIMEDECODERS]